## GtkComboBoxEntry GtkComboBoxEntry |

## Functions

GtkWidget * | gtk_combo_box_entry_new ()
GtkWidget * | gtk_combo_box_entry_new_with_model ()
GtkWidget * | gtk_combo_box_entry_new_text ()
void | gtk_combo_box_entry_set_text_column ()
gint | gtk_combo_box_entry_get_text_column ()

## Properties

int | text-column | Read / Write

## Types and Values

struct | GtkComboBoxEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkComboBox
                                ╰── GtkComboBoxEntry

## Implemented Interfaces

GtkComboBoxEntry implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_combo_box_entry_new ()

    GtkWidget *
    gtk_combo_box_entry_new (void);

`gtk_combo_box_entry_new` has been deprecated since version 2.24 and should not be used in newly-written code.

Use `gtk_combo_box_new_with_entry()` instead

Creates a new GtkComboBoxEntry which has a GtkEntry as child. After construction, you should set a model using `gtk_combo_box_set_model()` and a text column using `gtk_combo_box_entry_set_text_column()`.

#### Returns

A new GtkComboBoxEntry.

Since: 2.4

### gtk_combo_box_entry_new_with_model ()

    GtkWidget *
    gtk_combo_box_entry_new_with_model (GtkTreeModel *model,
                                        gint text_column);

`gtk_combo_box_entry_new_with_model` has been deprecated since version 2.24 and should not be used in newly-written code.

Use `gtk_combo_box_new_with_model_and_entry()` instead

Creates a new GtkComboBoxEntry which has a GtkEntry as child and a list of strings as popup. You can get the GtkEntry from a GtkComboBoxEntry using GTK_ENTRY (GTK_BIN (combo_box_entry)->child). To add and remove strings from the list, just modify `model` using its data manipulation API.

#### Parameters

model | A GtkTreeModel. |
text_column | A column in `model` to get the strings from. |

#### Returns

A new GtkComboBoxEntry.

Since: 2.4

### gtk_combo_box_entry_new_text ()

    GtkWidget *
    gtk_combo_box_entry_new_text (void);

`gtk_combo_box_entry_new_text` is deprecated and should not be used in newly-written code.

Convenience function which constructs a new editable text combo box, which is a GtkComboBoxEntry just displaying strings. If you use this function to create a text combo box, you should only manipulate its data source with the following convenience functions: `gtk_combo_box_append_text()`, `gtk_combo_box_insert_text()`, `gtk_combo_box_prepend_text()` and `gtk_combo_box_remove_text()`.

#### Returns

A new text GtkComboBoxEntry.

Since: 2.4

### gtk_combo_box_entry_set_text_column ()

    void
    gtk_combo_box_entry_set_text_column (GtkComboBoxEntry *entry_box,
                                         gint text_column);

`gtk_combo_box_entry_set_text_column` has been deprecated since version 2.24 and should not be used in newly-written code.

Use `gtk_combo_box_set_entry_text_column()` instead

Sets the model column which `entry_box` should use to get strings from to be `text_column` .

#### Parameters

entry_box | A GtkComboBoxEntry. |
text_column | A column in `model` to get the strings from. |

Since: 2.4

### gtk_combo_box_entry_get_text_column ()

    gint
    gtk_combo_box_entry_get_text_column (GtkComboBoxEntry *entry_box);

`gtk_combo_box_entry_get_text_column` has been deprecated since version 2.24 and should not be used in newly-written code.

Use `gtk_combo_box_get_entry_text_column()` instead

Returns the column which `entry_box` is using to get the strings from.

#### Parameters

entry_box | A GtkComboBoxEntry. |

#### Returns

A column in the data source model of `entry_box` .

Since: 2.4

## Types and Values

### struct GtkComboBoxEntry

    struct GtkComboBoxEntry;

`GtkComboBoxEntry` is deprecated and should not be used in newly-written code.

## Property Details

### The `“text-column”` property

      “text-column”              int

A column in the data source model to get the strings from.

Owner: GtkComboBoxEntry

Flags: Read / Write

Allowed values: >= -1

Default value: -1